<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="tokenDisp">
        <h2 class="jh-entity-heading" data-cy="tokenDispDetailsHeading">
          <span v-text="$t('gatewayApp.manillaTokenDisp.detail.title')">TokenDisp</span> {{ tokenDisp.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaTokenDisp.tokenConexion')">Token Conexion</span>
          </dt>
          <dd>
            <span>{{ tokenDisp.tokenConexion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaTokenDisp.activo')">Activo</span>
          </dt>
          <dd>
            <span>{{ tokenDisp.activo }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaTokenDisp.fechaInicio')">Fecha Inicio</span>
          </dt>
          <dd>
            <span v-if="tokenDisp.fechaInicio">{{ $d(Date.parse(tokenDisp.fechaInicio), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaTokenDisp.fechaFin')">Fecha Fin</span>
          </dt>
          <dd>
            <span v-if="tokenDisp.fechaFin">{{ $d(Date.parse(tokenDisp.fechaFin), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaTokenDisp.user')">User</span>
          </dt>
          <dd>
            {{ tokenDisp.user ? tokenDisp.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link
          v-if="tokenDisp.id"
          :to="{ name: 'TokenDispEdit', params: { tokenDispId: tokenDisp.id } }"
          custom
          v-slot="{ navigate }"
        >
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./token-disp-details.component.ts"></script>
